// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		515D0DE9264B890E00176213 /* MacInsectsClassifierApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 515D0DE8264B890E00176213 /* MacInsectsClassifierApp.swift */; };
		515D0DEB264B890E00176213 /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 515D0DEA264B890E00176213 /* ContentView.swift */; };
		515D0DED264B890F00176213 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 515D0DEC264B890F00176213 /* Assets.xcassets */; };
		515D0DF0264B890F00176213 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 515D0DEF264B890F00176213 /* Preview Assets.xcassets */; };
		515D0DFA264B898600176213 /* ArTaxOrders.mlmodel in Sources */ = {isa = PBXBuildFile; fileRef = 515D0DF8264B898600176213 /* ArTaxOrders.mlmodel */; };
		515D0DFB264B898600176213 /* InsectDetector.mlmodel in Sources */ = {isa = PBXBuildFile; fileRef = 515D0DF9264B898600176213 /* InsectDetector.mlmodel */; };
		515D0E00264B8A3200176213 /* MainScreen.swift in Sources */ = {isa = PBXBuildFile; fileRef = 515D0DFF264B8A3200176213 /* MainScreen.swift */; };
		515D0E02264B8A3F00176213 /* MainScreenViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 515D0E01264B8A3F00176213 /* MainScreenViewModel.swift */; };
		515D0E05264B8CF700176213 /* CoreML.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 515D0E04264B8CF700176213 /* CoreML.framework */; };
		515D0E07264B8D0000176213 /* ImageIO.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 515D0E06264B8D0000176213 /* ImageIO.framework */; };
		515D0E09264B8D0600176213 /* Vision.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 515D0E08264B8D0600176213 /* Vision.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		515D0DE5264B890E00176213 /* MacInsectsClassifier.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MacInsectsClassifier.app; sourceTree = BUILT_PRODUCTS_DIR; };
		515D0DE8264B890E00176213 /* MacInsectsClassifierApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MacInsectsClassifierApp.swift; sourceTree = "<group>"; };
		515D0DEA264B890E00176213 /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		515D0DEC264B890F00176213 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		515D0DEF264B890F00176213 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		515D0DF1264B890F00176213 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		515D0DF2264B890F00176213 /* MacInsectsClassifier.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = MacInsectsClassifier.entitlements; sourceTree = "<group>"; };
		515D0DF8264B898600176213 /* ArTaxOrders.mlmodel */ = {isa = PBXFileReference; lastKnownFileType = file.mlmodel; path = ArTaxOrders.mlmodel; sourceTree = "<group>"; };
		515D0DF9264B898600176213 /* InsectDetector.mlmodel */ = {isa = PBXFileReference; lastKnownFileType = file.mlmodel; path = InsectDetector.mlmodel; sourceTree = "<group>"; };
		515D0DFF264B8A3200176213 /* MainScreen.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainScreen.swift; sourceTree = "<group>"; };
		515D0E01264B8A3F00176213 /* MainScreenViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainScreenViewModel.swift; sourceTree = "<group>"; };
		515D0E04264B8CF700176213 /* CoreML.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreML.framework; path = System/Library/Frameworks/CoreML.framework; sourceTree = SDKROOT; };
		515D0E06264B8D0000176213 /* ImageIO.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ImageIO.framework; path = System/Library/Frameworks/ImageIO.framework; sourceTree = SDKROOT; };
		515D0E08264B8D0600176213 /* Vision.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Vision.framework; path = System/Library/Frameworks/Vision.framework; sourceTree = SDKROOT; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		515D0DE2264B890E00176213 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				515D0E07264B8D0000176213 /* ImageIO.framework in Frameworks */,
				515D0E09264B8D0600176213 /* Vision.framework in Frameworks */,
				515D0E05264B8CF700176213 /* CoreML.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		515D0DDC264B890E00176213 = {
			isa = PBXGroup;
			children = (
				515D0DE7264B890E00176213 /* MacInsectsClassifier */,
				515D0DE6264B890E00176213 /* Products */,
				515D0E03264B8CF600176213 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		515D0DE6264B890E00176213 /* Products */ = {
			isa = PBXGroup;
			children = (
				515D0DE5264B890E00176213 /* MacInsectsClassifier.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		515D0DE7264B890E00176213 /* MacInsectsClassifier */ = {
			isa = PBXGroup;
			children = (
				515D0DFC264B89C000176213 /* Models */,
				515D0DFE264B89D000176213 /* Views */,
				515D0DFD264B89C800176213 /* ViewModels */,
				515D0DE8264B890E00176213 /* MacInsectsClassifierApp.swift */,
				515D0DEA264B890E00176213 /* ContentView.swift */,
				515D0DEC264B890F00176213 /* Assets.xcassets */,
				515D0DF1264B890F00176213 /* Info.plist */,
				515D0DF2264B890F00176213 /* MacInsectsClassifier.entitlements */,
				515D0DEE264B890F00176213 /* Preview Content */,
			);
			path = MacInsectsClassifier;
			sourceTree = "<group>";
		};
		515D0DEE264B890F00176213 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				515D0DEF264B890F00176213 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		515D0DFC264B89C000176213 /* Models */ = {
			isa = PBXGroup;
			children = (
				515D0DF8264B898600176213 /* ArTaxOrders.mlmodel */,
				515D0DF9264B898600176213 /* InsectDetector.mlmodel */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		515D0DFD264B89C800176213 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				515D0E01264B8A3F00176213 /* MainScreenViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		515D0DFE264B89D000176213 /* Views */ = {
			isa = PBXGroup;
			children = (
				515D0DFF264B8A3200176213 /* MainScreen.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		515D0E03264B8CF600176213 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				515D0E08264B8D0600176213 /* Vision.framework */,
				515D0E06264B8D0000176213 /* ImageIO.framework */,
				515D0E04264B8CF700176213 /* CoreML.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		515D0DE4264B890E00176213 /* MacInsectsClassifier */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 515D0DF5264B890F00176213 /* Build configuration list for PBXNativeTarget "MacInsectsClassifier" */;
			buildPhases = (
				515D0DE1264B890E00176213 /* Sources */,
				515D0DE2264B890E00176213 /* Frameworks */,
				515D0DE3264B890E00176213 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MacInsectsClassifier;
			productName = MacInsectsClassifier;
			productReference = 515D0DE5264B890E00176213 /* MacInsectsClassifier.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		515D0DDD264B890E00176213 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1250;
				LastUpgradeCheck = 1250;
				TargetAttributes = {
					515D0DE4264B890E00176213 = {
						CreatedOnToolsVersion = 12.5;
					};
				};
			};
			buildConfigurationList = 515D0DE0264B890E00176213 /* Build configuration list for PBXProject "MacInsectsClassifier" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 515D0DDC264B890E00176213;
			productRefGroup = 515D0DE6264B890E00176213 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				515D0DE4264B890E00176213 /* MacInsectsClassifier */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		515D0DE3264B890E00176213 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				515D0DF0264B890F00176213 /* Preview Assets.xcassets in Resources */,
				515D0DED264B890F00176213 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		515D0DE1264B890E00176213 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				515D0DEB264B890E00176213 /* ContentView.swift in Sources */,
				515D0DE9264B890E00176213 /* MacInsectsClassifierApp.swift in Sources */,
				515D0E00264B8A3200176213 /* MainScreen.swift in Sources */,
				515D0DFB264B898600176213 /* InsectDetector.mlmodel in Sources */,
				515D0DFA264B898600176213 /* ArTaxOrders.mlmodel in Sources */,
				515D0E02264B8A3F00176213 /* MainScreenViewModel.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		515D0DF3264B890F00176213 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 11.3;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		515D0DF4264B890F00176213 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 11.3;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
			};
			name = Release;
		};
		515D0DF6264B890F00176213 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = MacInsectsClassifier/MacInsectsClassifier.entitlements;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_ASSET_PATHS = "\"MacInsectsClassifier/Preview Content\"";
				DEVELOPMENT_TEAM = NKUCCJJPGT;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = MacInsectsClassifier/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 11.0;
				PRODUCT_BUNDLE_IDENTIFIER = si.savage.MacInsectsClassifier;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
			};
			name = Debug;
		};
		515D0DF7264B890F00176213 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = MacInsectsClassifier/MacInsectsClassifier.entitlements;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_ASSET_PATHS = "\"MacInsectsClassifier/Preview Content\"";
				DEVELOPMENT_TEAM = NKUCCJJPGT;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = MacInsectsClassifier/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 11.0;
				PRODUCT_BUNDLE_IDENTIFIER = si.savage.MacInsectsClassifier;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		515D0DE0264B890E00176213 /* Build configuration list for PBXProject "MacInsectsClassifier" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				515D0DF3264B890F00176213 /* Debug */,
				515D0DF4264B890F00176213 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		515D0DF5264B890F00176213 /* Build configuration list for PBXNativeTarget "MacInsectsClassifier" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				515D0DF6264B890F00176213 /* Debug */,
				515D0DF7264B890F00176213 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 515D0DDD264B890E00176213 /* Project object */;
}
